import { StyleSheet } from "react-native";
import { appColors, appFonts, windowHeight, windowWidth } from "@src/themes";
import { external } from "../../../../../styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(24),
    marginVertical: windowHeight(9),
    borderRadius: windowHeight(18),
    borderWidth: windowHeight(0.45),
    borderColor: appColors.border,
    overflow: "hidden",
    paddingVertical: windowHeight(15),
    paddingBottom: windowHeight(5),
    paddingHorizontal: windowWidth(5),
  },
  pendingViewContainer: {
    ...external.ph_13,
    ...external.pv_10,
    ...external.ai_center,
    ...external.mb_5,
    paddingVertical: windowHeight(13),
    borderRadius: windowHeight(13),
    marginHorizontal: windowHeight(15),
    backgroundColor: appColors.whiteColor,
  },
  pin: {
    backgroundColor: appColors.primary,
    borderRadius: windowHeight(25),
    marginHorizontal: windowWidth(2),
    height: windowHeight(25),
    width: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    alignSelf: "center",
  },
  cargoImg: {
    width: "100%",
    height: windowHeight(100),
  },
  textStyle: {
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
  },
  dataContainer: {
    justifyContent: "space-between",
    marginBottom: windowHeight(4),
  },
  parcelView: {
    justifyContent: "space-between",
    marginBottom: windowHeight(4),
  },
  paragraphText: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(10),
  },
  rideDetailsView: { marginHorizontal: windowWidth(15) },
  rideOTPText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
  },
});
export { styles };
